## org.apache.mahout.cf.taste.hadoop.similarity.item
Class CountUsersKeyWritable.CountUsersPartitioner

    java.lang.Object
      org.apache.hadoop.mapreduce.Partitioner<CountUsersKeyWritable,VarLongWritable>
          org.apache.mahout.cf.taste.hadoop.similarity.item.CountUsersKeyWritable.CountUsersPartitioner

Enclosing class:
  CountUsersKeyWritable

    public static class CountUsersKeyWritable.CountUsersPartitioner

extends org.apache.hadoop.mapreduce.Partitioner<CountUsersKeyWritable,VarLongWritable>

all userIDs go to the same partition

Constructor Summary
`CountUsersKeyWritable.CountUsersPartitioner()`

Method Summary
`int` `getPartition(CountUsersKeyWritable key, VarLongWritable value, int numPartitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountUsersKeyWritable.CountUsersPartitioner

    public CountUsersKeyWritable.CountUsersPartitioner()

Method Detail

### getPartition

    public int getPartition(CountUsersKeyWritable key,
                            VarLongWritable value,
                            int numPartitions)

  Specified by:
    `getPartition` in class `org.apache.hadoop.mapreduce.Partitioner<CountUsersKeyWritable,VarLongWritable>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.